Skip to main content
GET
/
affiliates
/
reporting
/
clicks
/
{transactionId}
Get Click By ID
curl --request GET \
  --url https://api.eflow.team/v1/affiliates/reporting/clicks/{transactionId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "transaction_id": "<string>",
  "is_unique": true,
  "unix_timestamp": 123,
  "tracking_url": "<string>",
  "source_id": "<string>",
  "sub1": "<string>",
  "sub2": "<string>",
  "sub3": "<string>",
  "sub4": "<string>",
  "sub5": "<string>",
  "revenue_type": "<string>",
  "revenue": 123,
  "user_ip": "<string>",
  "error_code": 123,
  "error_message": "<string>",
  "currency_id": "<string>",
  "coupon_code": "<string>",
  "idfa": "<string>",
  "idfa_md5": "<string>",
  "idfa_sha1": "<string>",
  "google_ad_id": "<string>",
  "google_ad_id_md5": "<string>",
  "google_ad_id_sha1": "<string>",
  "android_id": "<string>",
  "android_id_md5": "<string>",
  "android_id_sha1": "<string>",
  "relationship": {
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_tracking_domain_id": 123,
      "name": "<string>",
      "offer_status": "<string>"
    },
    "geolocation": {
      "country_code": "<string>",
      "country_name": "<string>",
      "region_code": "<string>",
      "region_name": "<string>",
      "city_name": "<string>",
      "dma": 123,
      "dma_name": "<string>",
      "carrier_name": "<string>",
      "carrier_code": 123,
      "isp_name": "<string>",
      "organization": "<string>",
      "postal_code": "<string>",
      "timezone": "<string>",
      "is_mobile": true,
      "is_proxy": true
    },
    "device_information": {
      "is_mobile": true,
      "platform_name": "<string>",
      "os_version": "<string>",
      "brand": "<string>",
      "model": "<string>",
      "is_tablet": true,
      "browser_name": "<string>",
      "browser_version": "<string>",
      "device_type": "<string>",
      "language": "<string>",
      "http_accept_language": "<string>",
      "is_robot": true,
      "is_filter": true
    },
    "query_parameters": {}
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the same X-Eflow-Api-Key header as the Network API, but the key belongs to the affiliate user rather than the network admin.

Path Parameters

transactionId
string
required

The transaction ID of the click.

Response

transaction_id
string

Unique transaction identifier.

is_unique
boolean
unix_timestamp
integer
tracking_url
string
source_id
string
sub1
string
sub2
string
sub3
string
sub4
string
sub5
string
revenue_type
string
revenue
number
user_ip
string
error_code
integer
error_message
string
currency_id
string
coupon_code
string
idfa
string
idfa_md5
string
idfa_sha1
string
google_ad_id
string
google_ad_id_md5
string
google_ad_id_sha1
string
android_id
string
android_id_md5
string
android_id_sha1
string
relationship
object